Name:           python-singledispatch
Version:        4.0.0
Release:        1
Summary:        Transform a method into a single-dispatch generic function
License:        MIT
URL:            https://pypi.org/project/singledispatch/
Source0:        %{pypi_source singledispatch}

BuildArch:      noarch
Patch001:       0001-add-version.patch

%description
PEP 443 proposed to expose a mechanism in the functools standard library module in Python 3.4
that provides a simple form of generic programming known as single-dispatch generic functions.
This library is a backport of this functionality to Python 3.3.

%package -n python3-singledispatch
Summary:        Transform a method into a single-dispatch generic function
%{?python_provide:%python_provide python3-singledispatch}
BuildRequires:  python3-devel python3-six python3-pip python3-wheel
Requires:       python3-six

%description -n python3-singledispatch
PEP 443 proposed to expose a mechanism in the functools standard library module in Python 3.4
that provides a simple form of generic programming known as single-dispatch generic functions.
This library is a backport of this functionality to Python 3.3.

%prep
%autosetup -n singledispatch-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install

%check
py.test-%{python3_version} -vv tests || :


%files -n python3-singledispatch
%doc README.rst
%{python3_sitelib}/singledispatch-%{version}.dist-info
%{python3_sitelib}/singledispatch/*.py
%{python3_sitelib}/singledispatch/__pycache__/*

%changelog
* Thu May 18 2023 Ge Wang <wang__ge@126.com> - 4.0.0-1
- Update to version 4.0.0

* Fri Jun 10 2022 SimpleUpdate Robot <tc@openeuler.org> - 3.7.0-1
- Upgrade to version 3.7.0

* Wed Mar 30 2022 yaoxin <yaoxin30@huawei.com> - 3.4.0.3-16
- Resolve compilation failures.

* Wed Oct 21 2020 zhanghua <zhanghua40@huawei.com> - 3.4.0.3-15
- remove python2 subpackage, fix changelog version as 3.4.0.3

* Tue Nov 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.4.0.3-14
- Package init
